- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionToolBar Class Reference

Search for all occurrences

## Detailed Description

Definition at line 369 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionToolBar:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_ToolBar }
enum | StyleOptionVersion { Version = 1 }
enum | ToolBarPosition { Beginning, Middle, End, OnlyOne }
enum | ToolBarFeature { None = 0x0, Movable = 0x1 }
## Public Member Functions
| QStyleOptionToolBar ()
| QStyleOptionToolBar (const QStyleOptionToolBar &other)
## Public Attributes
ToolBarPosition | positionOfLine
ToolBarPosition | positionWithinLine
Qt::ToolBarArea | toolBarArea
ToolBarFeatures | features
int | lineWidth
int | midLineWidth
## Protected Member Functions
| QStyleOptionToolBar (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 372 of file qstyleoption.h.

    { Type = SO_ToolBar };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 373 of file qstyleoption.h.

    { Version = 1 };

enum ToolBarPosition

Search for all occurrences

Enumerator:

  Beginning | Search for all occurrences
  Middle | Search for all occurrences
  End | Search for all occurrences
  OnlyOne | Search for all occurrences

Definition at line 374 of file qstyleoption.h.

    { Beginning, Middle, End, OnlyOne };

enum ToolBarFeature

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Movable | Search for all occurrences

Definition at line 375 of file qstyleoption.h.

    { None = 0x0, Movable = 0x1 };

## Constructor & Destructor Documentation

QStyleOptionToolBar | ( |  | ) |

QStyleOptionToolBar | ( | const QStyleOptionToolBar & | other | ) | `[inline]`

Definition at line 384 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionToolBar | ( | int | version | ) | `[protected]`

## Member Data Documentation

ToolBarPosition positionOfLine

Search for all occurrences

Definition at line 377 of file qstyleoption.h.

ToolBarPosition positionWithinLine

Search for all occurrences

Definition at line 378 of file qstyleoption.h.

Qt::ToolBarArea toolBarArea

Search for all occurrences

Definition at line 379 of file qstyleoption.h.

ToolBarFeatures features

Search for all occurrences

Definition at line 380 of file qstyleoption.h.

int lineWidth

Search for all occurrences

Definition at line 381 of file qstyleoption.h.

int midLineWidth

Search for all occurrences

Definition at line 382 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar
QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar QStyleOptionToolBar